Remove a product from a future-dated subscription using the REST API
Learn how to use the "Create order" operation to remove a product from a subscription with a future-dated removal.
You can use the "Create order" operation to remove a product from a subscription even if there is a future-dated removal.
To remove a product from a subscription earlier than the previous removal date by creating an order:
- Determine the values of the following variables:
Assuming a previous order will remove the rate plan (
$RPId) on a future-dated removal date, which is later than the current removal date ($Removal_date).Variable
Description
$SubscriptionNumThe number of the subscription to update. For example,
A-S00000001.$AccountNumThe number of the account that will own the order. For example,
A00000001.$RPIdThe ID of the rate plan to remove from the subscription. For example,
402892c42ce80787012ce80ea2310019.$Removal_dateThe current removal date,
2021-05-01. - Use the "Create order" operation to create an order under an existing account:
To create the order under a new account instead of an existing account, specify the
newAccountfield instead of theexistingAccountNumberfield.Request
POST /v1/orders/Request Body
{ "orderDate": "$Removal_date", "existingAccountNumber": "$AccountNum", "subscriptions": [ { "subscriptionNumber": "$SubscriptionNum", "orderActions": [ { "type": "RemoveProduct", "triggerDates": [ { "name": "ContractEffective", "triggerDate": "$Removal_date" }, { "name": "ServiceActivation", "triggerDate": "$Removal_date" }, { "name": "CustomerAcceptance", "triggerDate": "$Removal_date" } ], "removeProduct": { "ratePlanId": "$RPId" }, } ] } ], "processingOptions": { "runBilling": false, "collectPayment": false } }